
package cn.orionsec.ops.constant.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum AuditStatus {

    /**
     * 通过
     */
    RESOLVE(10),

    /**
     * 驳回
     */
    REJECT(20),

    ;

    private final Integer status;

    public static AuditStatus of(Integer status) {
        if (status == null) {
            return null;
        }
        for (AuditStatus value : values()) {
            if (value.status.equals(status)) {
                return value;
            }
        }
        return null;
    }

}
